# $Id: Makefile.inc,v 1.1 2001/08/08 17:35:42 roam Exp $

PROG=		vpoppassd
MAN=		vpoppassd.8

SRCS=		vpoppassd.c vpp_err.c vpp_flavor.c \
		vpp_fl_checkpwd.c vpp_fl_vchkpw.c \
		vpp_fl_bsdpw.c vpp_fl_vpasswd.c \
		vpp_util.c

VERPFX=		VPP
VPP_VER_MAJ=	1
VPP_VER_MIN=	0
VPP_VER_PRE=	1
VPP_VER_PATCH=	0

PREFIX?=	/usr/local
BINDIR=		${PREFIX}/bin
MANDIR=		${PREFIX}/man/man

CC?=		gcc
#WARNS?=		2
CFLAGS_WARN=	-Wall -W -Wstrict-prototypes -Wmissing-prototypes \
		-Wwrite-strings \
		${BDECFLAGS}
CFLAGS_INC=	-I. -I.. -I/usr/local/include
# CFLAGS_OPT and CFLAGS_DBG must be defined in OS-dependent Makefiles
CFLAGS_MISC=	-D_GNU_SOURCE

CFLAGS_VER=	-DVPP_VER_MAJ=${VPP_VER_MAJ} \
		-DVPP_VER_MIN=${VPP_VER_MIN} \
		-DVPP_VER_PRE=${VPP_VER_PRE} \
		-DVPP_VER_PATCH=${VPP_VER_PATCH} \
		-DVPP_OS=\"${CFLAGS_OS_VER}\" \
		-DVPP_OSREL=\"${CFLAGS_OS_REL}\" \
		-DVPP_OSHOST=\"${CFLAGS_OS_HOST}\" \
		-DVPP_PREFIX=\"${PREFIX}\"

CFLAGS=		${CFLAGS_WARN} ${CFLAGS_OPT} ${CFLAGS_DBG}
CFLAGS+=	${CFLAGS_INC} ${CFLAGS_OS} ${CFLAGS_VER} ${CFLAGS_MISC}

LDADD=
DPADD=

RM?=		rm -f
MKDIR?=		mkdir -p
SETENV?=	env
COMPRESS_CMD?=	gzip -cn
