#ifndef __INCLUDED_vpoppassd_h
#define __INCLUDED_vpoppassd_h

/* $Id: vpoppassd.h,v 1.2 2001/08/22 10:19:02 roam Exp $ */

#ifndef __unused
#ifdef __GNUC__
#define __unused	__attribute__((unused))
#else
#define __unused
#endif /* __GNUC__ */
#endif /* __unused */

#ifndef RDBG
#ifdef EBUG
#define RDBG(x)         if (quiet < 2) { printf x; fflush(stdout); }
#else /* !EBUG */
#define RDBG(x)
#endif /* EBUG */
#endif /* RDBG */

#ifndef RINF
#define RINF(x)         { printf x; fflush(stdout); }
#endif /* RINF */

/* * *		Definitions		* * */

typedef enum {
	VPP_ERR_NONE,
	VPP_ERR_NOMEM, VPP_ERR_CMDLINE,
	VPP_ERR_FL_UNKNOWN, VPP_ERR_FL_NOMATCH,
	VPP_ERR_NOUSER,
	VPP_ERR_PIPE, VPP_ERR_FORK, VPP_ERR_EXEC, VPP_ERR_WAIT,
	VPP_ERR_READ, VPP_ERR_WRITE,
	VPP_ERR_INT,
	VPP_ERR_LAST
} vpp_err_t;

#ifdef ENABLE_CUSER
#ifndef CUSER_INVOKE
#define CUSER_INVOKE	"postmaster"
#endif /* CUSER_INVOKE */
#endif /* ENABLE_CUSER */

/* * *		Variables		* * */

extern int	verbose, quiet;
extern char	vpp_verstr[];

extern const char	*vpp_uservar, *vpp_user, *vpp_passwd;

/* * *		Functions		* * */


#endif /* __INCLUDED_vpoppassd_h */
