#include <stdlib.h>

#include "vpoppassd.h"
#include "vpp_flavor.h"
#include "vpp_fl_checkpwd.h"

static char	cvs_id[] __unused =
"$Id: vpp_fl_checkpwd.c,v 1.1 2001/08/08 17:35:42 roam Exp $";

#define CHECKPWD_USERVAR	"USER"

static vpp_err_t	checkpwd_init(int argc __unused,
		const char *argv[] __unused);
static vpp_err_t	checkpwd_probe(int argc __unused,
		const char *argv[] __unused);

struct vpp_flavor_hnd	vpp_flh_checkpwd = {
	VPP_FLT_IN,
	"checkpassword",
	VPP_FL_CHECKPWD,
	checkpwd_probe,
	checkpwd_init,
	NULL
};

static vpp_err_t
checkpwd_init(int argc __unused, const char *argv[] __unused) {

	if (vpp_uservar == NULL)
		vpp_uservar = CHECKPWD_USERVAR;
	return (VPP_ERR_NONE);
}

static vpp_err_t
checkpwd_probe(int argc __unused, const char *argv[] __unused) {

	if (getenv(CHECKPWD_USERVAR) == NULL)
		return (VPP_ERR_FL_NOMATCH);
	return (VPP_ERR_NONE);
}
