#include <stdlib.h>

#include "vpoppassd.h"
#include "vpp_flavor.h"
#include "vpp_fl_vchkpw.h"

static char	cvs_id[] __unused =
"$Id: vpp_fl_vchkpw.c,v 1.1 2001/08/08 17:35:42 roam Exp $";

#define VCHKPW_USERVAR	"VPOPUSER"

static vpp_err_t	vchkpw_init(int argc __unused,
		const char *argv[] __unused);
static vpp_err_t	vchkpw_probe(int argc __unused,
		const char *argv[] __unused);

struct vpp_flavor_hnd	vpp_flh_vchkpw = {
	VPP_FLT_IN,
	"vchkpw",
	VPP_FL_VCHKPW,
	vchkpw_probe,
	vchkpw_init,
	NULL
};

static vpp_err_t
vchkpw_init(int argc __unused, const char *argv[] __unused) {

	if (vpp_uservar == NULL)
		vpp_uservar = VCHKPW_USERVAR;
	return (VPP_ERR_NONE);
}

static vpp_err_t
vchkpw_probe(int argc __unused, const char *argv[] __unused) {

	if (getenv(VCHKPW_USERVAR) == NULL)
		return (VPP_ERR_FL_NOMATCH);
	return (VPP_ERR_NONE);
}
