#ifndef _INCLUDED_VPP_FLAVOR_H
#define _INCLUDED_VPP_FLAVOR_H

/* $Id: vpp_flavor.h,v 1.1 2001/08/08 17:35:42 roam Exp $ */

/* * *		Definitions		* * */

typedef enum {
	VPP_FL_NONE,
	/* Input */
	VPP_FL_CHECKPWD,
	VPP_FL_VCHKPW,
	/* output */
	VPP_FL_BSDPW,
	VPP_FL_VPASSWD,
	VPP_FL_LAST
} vpp_flavor;

typedef enum {
	VPP_FLT_NONE,
	VPP_FLT_IN,
	VPP_FLT_OUT,
	VPP_FLT_LAST
} vpp_flavor_type;

typedef vpp_err_t	(*vpp_fl_probe)(int, const char *[]);
typedef vpp_err_t	(*vpp_fl_init)(int, const char *[]);
typedef vpp_err_t	(*vpp_fl_change)(const char *);

struct vpp_flavor_hnd {
	vpp_flavor_type	 type;
	const char	*name;
	vpp_flavor	 t;
	vpp_fl_probe	 probe;
	vpp_fl_init	 init;
	vpp_fl_change	 change;
};

/* * *		Variables		* * */


/* * *		Functions		* * */

vpp_err_t	vpp_flavor_set(vpp_flavor_type t, const char *flavor,
		int argc, const char *argv[]);
vpp_err_t	vpp_flavor_probe(vpp_flavor_type t, int argc, const char *argv[]);
vpp_err_t	vpp_flavor_change(const char *pass);

#endif /* _INCLUDED */
